Bug 90753 - gbuild: Move packages to autoinstallation in scp2
Summary: gbuild: Move packages to autoinstallation in scp2
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.4.0 target:5.5.0
Keywords: difficultyBeginner, easyHack, skillScript, topicCleanup
Depends on:
Blocks: 97803
  Show dependency treegraph
 
Reported: 2015-04-20 20:17 UTC by Matúš Kukan
Modified: 2017-06-01 12:50 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matúš Kukan 2015-04-20 20:17:41 UTC
This task is similar to bug 60924 only about packages (package is basically a set of files needed in installation set).
git grep for "filelist" in scp2 to find what can be "autoinstalled"

Examle commits:
https://gerrit.libreoffice.org/gitweb?p=core.git;a=commitdiff;h=5784cafe46338d3b94818213a4443d11c1324af9
if the relevant module already exists - probably true most of the time.

Or https://gerrit.libreoffice.org/gitweb?p=core.git;a=commitdiff;h=e0aaa830fc6633a2ab5614eec4f4b88279dca908 also adding new module.
Comment 1 Robinson Tryon (qubit) 2015-12-14 06:49:33 UTC Comment hidden (obsolete)
Comment 2 Commit Notification 2016-02-17 10:03:07 UTC
David Ostrovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=53f0eb12f0fdabc32fee523b0f63691b2342f3f4

tdf#90753 Move Pyuno wizard packages to autoinstall

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Robinson Tryon (qubit) 2016-02-18 14:52:02 UTC Comment hidden (obsolete)
Comment 4 Commit Notification 2016-11-25 21:46:01 UTC
Matúš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aabc5aab5af27e929a81a6036d2f470ab1f5ac4d

tdf#90753: Move brand packages to AutoInstall

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-11-26 15:17:34 UTC
Matúš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=42b959ff7241f955bfa68ee484d81c2d90be5434

tdf#90753: Move extras packages to AutoInstall

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 jani 2016-11-29 07:08:03 UTC
Assuming, this is now completed ?
Comment 7 Michael Stahl (CIB) 2016-11-29 11:44:39 UTC
perhaps better to use git grep as indicated in the description instead of assuming?
Comment 8 Commit Notification 2016-11-30 21:37:46 UTC
Matúš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fd7c94f0b201df7203410323fbabc9edcd2d69af

tdf#90753: Autoinstall sdk packages

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-11-30 21:44:45 UTC
Matúš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4430ace32a8dfd534d5e1c64ec7855edad11e5c4

tdf#90753: AutoInstall more packages

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-12-01 16:11:07 UTC
Matúš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b66adec8f3a3e03499d5a3cb1db7008a391e61e

tdf#90753: AutoInstall gengal with filelist feature

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2016-12-02 19:17:20 UTC
Matúš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=67398a8d9746dbed743beb702a8cff2eac2bbf99

tdf#90753: AutoInstall setup_native packages

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2016-12-02 19:17:26 UTC
Matúš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6de5cf050c1324cb97404486e541472e74a7dd19

tdf#90753: AutoInstall readlicense_oo packages

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2016-12-24 07:59:43 UTC
Matúš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5662817149e3eed0a592c389042d9c3755629614

tdf#90753: AutoInstall postgresql-sdbc.ini as filelist

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2016-12-24 08:11:22 UTC
Matúš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=120a87a36e04b01c99c3544aca57faf66934d9c7

tdf#90753: AutoInstall xpdfimport_err.pdf as filelist

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2016-12-24 08:11:28 UTC
Matúš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b09035675465b156d773e60d6c6650fa12d17766

tdf#90753: AutoInstall shell_senddoc package

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2016-12-25 08:10:31 UTC
Matúš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7b340f0d88e32408c4dd797aba826c73caccc01d

tdf#90753: AutoInstall libreofficekit_selectionhandles package

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 jani 2017-01-09 08:59:00 UTC
Seems solved, if not it would be nice to read what is still open.
Comment 18 Commit Notification 2017-01-09 15:48:39 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c78d4965a8ddd77b926edc0e0aa4a19577e2453

tdf#90753 scp2: move firebirdsdbc packages to AutoInstall

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2017-06-01 12:50:27 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=af79ff7a3ccc8c116da4f400ee5ee9f9df22c63b

tdf#90753 scp2: move image packages to AutoInstall

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.